openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SRET_SE_ADMINCALL:
    post:
      tags:
      - SRAD
      operationId: /rfc/SRET_SE_ADMINCALL
      requestBody:
        content:
          application/json:
            schema:
              properties:
                ACTION:
                  type: string
                  maxLength: 2
                CATID:
                  type: string
                  maxLength: 32
                  description: Key of index category
                CATID_NEW:
                  type: string
                  maxLength: 32
                CLIENT:
                  type: string
                  maxLength: 3
                  description: Client
                CLIENT_NEW:
                  type: string
                  maxLength: 3
                DATAPATH:
                  type: string
                  maxLength: 255
                DELEOPT:
                  type: string
                  maxLength: 1
                  description: Deletion options
                LAISO:
                  type: string
                  maxLength: 2
                LANGU:
                  type: string
                  maxLength: 1
                  description: Language key according to ISO 639
                LOGENTRY:
                  type: string
                  maxLength: 1
                SAPCODEPAGE:
                  type: integer
                  format: int64
                SRSVRID:
                  type: string
                  maxLength: 10
                SRSVRINFO:
                  type: object
                  properties:
                    SRSVRID:
                      type: string
                      maxLength: 10
                      description: Search server relation ID
                    ACTION:
                      type: string
                      maxLength: 1
                      description: Search server relation task (search or index)
                    SSRCNT:
                      type: integer
                      format: int64
                      description: Search server relation counter for database uniqueness
                SYSTEM_NEW:
                  type: string
                  maxLength: 8
                TRDATE:
                  type: integer
                  format: int64
                INFOTAB:
                  type: array
                  items:
                    type: object
                    properties:
                      INFO:
                        type: string
                        maxLength: 25
                        description: Document attribute name of an index category
                      MULTCNT:
                        type: integer
                        format: int64
                        description: Multi-document Attribute Counter
                      VALUE1:
                        type: string
                        maxLength: 64
                        description: Value of a Document Attribute
                      VALUE2:
                        type: string
                        maxLength: 64
                        description: Value of a Document Attribute
              required:
              - ACTION
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ERRORCODE:
                    type: string
                    maxLength: 4
                    description: Error Number
                  GET_PATH:
                    type: string
                    maxLength: 255
                  INFOTAB:
                    type: array
                    items:
                      type: object
                      properties:
                        INFO:
                          type: string
                          maxLength: 25
                          description: Document attribute name of an index category
                        MULTCNT:
                          type: integer
                          format: int64
                          description: Multi-document Attribute Counter
                        VALUE1:
                          type: string
                          maxLength: 64
                          description: Value of a Document Attribute
                        VALUE2:
                          type: string
                          maxLength: 64
                          description: Value of a Document Attribute
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
